aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2010-12-13 22:53:30 +0100
committerFabian Groffen <grobian@gentoo.org>2010-12-13 22:53:30 +0100
commit08a713eecdedbd3ed8cc57e24715d22520bc02b0 (patch)
tree28fd41bd0a4009c98c7c5e3c3e228fcc53a94448 /runtests.sh
parentGENTOO_PATH_PYTHON: be resistant against pre-exported PORTAGE_PYTHON (diff)
downloadportage-08a713eecdedbd3ed8cc57e24715d22520bc02b0.tar.gz
portage-08a713eecdedbd3ed8cc57e24715d22520bc02b0.tar.bz2
portage-08a713eecdedbd3ed8cc57e24715d22520bc02b0.zip
properly rename old PORTAGE_PYTHON to PREFIX_PORTAGE_PYTHON
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/runtests.sh b/runtests.sh
index 31910d65d..f3d91a926 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -24,9 +24,9 @@ trap interrupted SIGINT
exit_status="0"
for version in ${PYTHON_VERSIONS}; do
- if [[ -x @PORTAGE_PYTHON@${version} ]]; then
+ if [[ -x @PREFIX_PORTAGE_PYTHON@${version} ]]; then
echo -e "${GOOD}Testing with Python ${version}...${NORMAL}"
- if ! @PORTAGE_PYTHON@${version} pym/portage/tests/runTests; then
+ if ! @PREFIX_PORTAGE_PYTHON@${version} pym/portage/tests/runTests; then
echo -e "${BAD}Testing with Python ${version} failed${NORMAL}"
exit_status="1"
fi